#region Copyright  1997-2007 EPiServer AB. All Rights Reserved.
/*
This code may only be used according to the EPiServer License Agreement.
The use of this code outside the EPiServer environment, in whole or in
parts, is forbidden without prior written permission from EPiServer AB.

EPiServer is a registered trademark of EPiServer AB. For more information 
see http://www.episerver.com/license or request a copy of the EPiServer 
License Agreement by sending an email to info@episerver.com
*/
#endregion
//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:2.0.50727.42
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace CMS6Workflows.Workflows.Activities
{
    using System;
    using System.ComponentModel;
    using System.Workflow.Activities;
    using System.Workflow.ComponentModel;
    using System.Workflow.ComponentModel.Design;
    using System.Workflow.ComponentModel.Compiler;
    using EPiServer.WorkflowFoundation.UI;
    using EPiServer.Core;
    using System.Collections.Generic;

    /// <summary>
    /// Event activity for approval event.
    /// </summary>
    /// <remarks>Specifies the ActivityPlugIn attribute to point out the usercontrol that should be used 
    /// to communicate with activity.</remarks>
    [ActivityPlugIn(Area = EPiServer.PlugIn.PlugInArea.None,UrlFromUtil= "WorkflowsUI/WorkflowApprovalEvent.ascx")]
    [ToolboxItemAttribute(typeof(ActivityToolboxItem))]
    public partial class ApprovalEvent : HandleExternalEventActivity {
        
        /// <summary>
        /// Registers Message as a dependencyproperty so it can be databound
        /// </summary>
        /// <exclude/>
        public static DependencyProperty MessageProperty = DependencyProperty.Register("Message", typeof(string), typeof(ApprovalEvent));
        /// <summary>
        /// Registers Approver as a dependencyproperty so it can be databound
        /// </summary>
        /// <exclude/>
        public static DependencyProperty ApproverProperty = DependencyProperty.Register("Approver", typeof(string), typeof(ApprovalEvent));
        /// <summary>
        /// Registers Approved as a dependencyproperty so it can be databound
        /// </summary>
        /// <exclude/>
        public static DependencyProperty ApprovedProperty = DependencyProperty.Register("Approved", typeof(bool), typeof(ApprovalEvent));

        /// <summary>
        /// Initializes a new instance of the <see cref="ApprovalEvent"/> class.
        /// </summary>
        public ApprovalEvent() {
            base.InterfaceType = typeof(CMS6Workflows.Workflows.IApprovalCommunication);
            base.EventName = "ApprovalEvent";
        }

        /// <summary>
        /// Gets or sets the <see cref="T:System.Workflow.Activities.ExternalDataExchangeAttribute"></see> attributed interface type of the local service whose event will be handled. This property must be set before local communication can occur.
        /// </summary>
        /// <value></value>
        /// <returns>The interface type of the local service whose event will be handled.</returns>
        [BrowsableAttribute(false)]
        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Hidden)]
        public override System.Type InterfaceType {
            get {
                return base.InterfaceType;
            }
            set {
                throw new InvalidOperationException("Cannot set InterfaceType on a derived HandleExternalEventActivity.");
            }
        }

        /// <summary>
        /// Gets the name of the raised event. This property must be set before local communication can occur.
        /// </summary>
        /// <value></value>
        /// <returns>The name of the raised event.</returns>
        [BrowsableAttribute(false)]
        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Hidden)]
        public override string EventName {
            get {
                return base.EventName;
            }
            set {
                throw new InvalidOperationException("Cannot set EventName on a derived HandleExternalEventActivity.");
            }
        }

        /// <summary>
        /// Gets or sets the message from the approver
        /// </summary>
        /// <value>The message.</value>
        [ValidationOptionAttribute(ValidationOption.Required)]
        public string Message {
            get {
                return ((string)(this.GetValue(ApprovalEvent.MessageProperty)));
            }
            set {
                this.SetValue(ApprovalEvent.MessageProperty, value);
            }
        }

        /// <summary>
        /// Gets or sets the name of the approver.
        /// </summary>
        /// <value>The approver.</value>
        [ValidationOptionAttribute(ValidationOption.Required)]
        public string Approver {
            get {
                return ((string)(this.GetValue(ApprovalEvent.ApproverProperty)));
            }
            set {
                this.SetValue(ApprovalEvent.ApproverProperty, value);
            }
        }

        /// <summary>
        /// Gets or sets a value indicating whether this <see cref="ApprovalEvent"/> is approved.
        /// </summary>
        /// <value><c>true</c> if approved; otherwise, <c>false</c>.</value>
        [ValidationOptionAttribute(ValidationOption.Required)]
        public bool Approved {
            get {
                return ((bool)(this.GetValue(ApprovalEvent.ApprovedProperty)));
            }
            set {
                this.SetValue(ApprovalEvent.ApprovedProperty, value);
            }
        }

        /// <summary>
        /// Called just after the external event is received to allow subclasses to process the inbound <see cref="T:System.EventArgs"></see> before the activity closes.
        /// </summary>
        /// <param name="e">The <see cref="T:System.EventArgs"></see> that are received from the external event that was just received.</param>
        protected override void OnInvoked(System.EventArgs e) {
            CMS6Workflows.Workflows.ApprovalEventArgs castedE = ((CMS6Workflows.Workflows.ApprovalEventArgs)(e));
            this.Message = ((string)(castedE.Message));
            this.Approver = ((string)(castedE.Approver));
            this.Approved = ((bool)(castedE.Approved));
        }
    }

    /// <summary>
    /// Event activity for set approvers event
    /// </summary>
    /// <remarks>Specifies the ActivityPlugIn attribute to point out the usercontrol that should be used 
    /// to communicate with activity.</remarks>
    [ActivityPlugIn(Area = EPiServer.PlugIn.PlugInArea.None, UrlFromUtil = "WorkflowsUI/WorkflowApprovalStart.ascx")]
    [ToolboxItemAttribute(typeof(ActivityToolboxItem))]
    public partial class SetApproversEvent : HandleExternalEventActivity {

        /// <summary>
        /// Registers TaskDescription as a dependencyproperty so it can be databound
        /// </summary>
        /// <exclude/>
        public static DependencyProperty TaskDescriptionProperty = DependencyProperty.Register("TaskDescription", typeof(string), typeof(SetApproversEvent));
        /// <summary>
        /// Registers PageLink as a dependencyproperty so it can be databound
        /// </summary>
        /// <exclude/>
        public static DependencyProperty PageLinkProperty = DependencyProperty.Register("PageLink", typeof(PageReference), typeof(SetApproversEvent));
        /// <summary>
        /// Registers Approvers as a dependencyproperty so it can be databound
        /// </summary>
        /// <exclude/>
        public static DependencyProperty ApproversProperty = DependencyProperty.Register("Approvers", typeof(List<CMS6Workflows.Workflows.ApproverItem>), typeof(SetApproversEvent));
        /// <summary>
        /// Registers NeededApprovments as a dependencyproperty so it can be databound
        /// </summary>
        /// <exclude/>
        public static DependencyProperty NeededApprovmentsProperty = DependencyProperty.Register("NeededApprovments", typeof(int), typeof(SetApproversEvent));


        /// <summary>
        /// Initializes a new instance of the <see cref="SetApproversEvent"/> class.
        /// </summary>
        public SetApproversEvent() {
            base.InterfaceType = typeof(CMS6Workflows.Workflows.IApprovalCommunication);
            base.EventName = "SetApproversEvent";
        }

        /// <summary>
        /// Gets or sets the <see cref="T:System.Workflow.Activities.ExternalDataExchangeAttribute"></see> attributed interface type of the local service whose event will be handled. This property must be set before local communication can occur.
        /// </summary>
        /// <value></value>
        /// <returns>The interface type of the local service whose event will be handled.</returns>
        [BrowsableAttribute(false)]
        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Hidden)]
        public override System.Type InterfaceType {
            get {
                return base.InterfaceType;
            }
            set {
                throw new InvalidOperationException("Cannot set InterfaceType on a derived HandleExternalEventActivity.");
            }
        }

        /// <summary>
        /// Gets the name of the raised event. This property must be set before local communication can occur.
        /// </summary>
        /// <value></value>
        /// <returns>The name of the raised event.</returns>
        [BrowsableAttribute(false)]
        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Hidden)]
        public override string EventName {
            get {
                return base.EventName;
            }
            set {
                throw new InvalidOperationException("Cannot set EventName on a derived HandleExternalEventActivity.");
            }
        }

        /// <summary>
        /// Gets or sets the task description.
        /// </summary>
        /// <value>The task description.</value>
        [ValidationOptionAttribute(ValidationOption.Required)]
        public string TaskDescription {
            get {
                return ((string)(this.GetValue(SetApproversEvent.TaskDescriptionProperty)));
            }
            set {
                this.SetValue(SetApproversEvent.TaskDescriptionProperty, value);
            }
        }

        /// <summary>
        /// Gets or sets the page link.
        /// </summary>
        /// <value>The page link.</value>
        [ValidationOptionAttribute(ValidationOption.Required)]
        public PageReference PageLink
        {
            get
            {
                return ((PageReference)(this.GetValue(SetApproversEvent.PageLinkProperty)));
            }
            set
            {
                this.SetValue(SetApproversEvent.PageLinkProperty, value);
            }
        }

        /// <summary>
        /// Gets or sets the approvers.
        /// </summary>
        /// <value>The approvers.</value>
        [ValidationOptionAttribute(ValidationOption.Required)]
        public List<CMS6Workflows.Workflows.ApproverItem> Approvers
        {
            get {
                return ((List<CMS6Workflows.Workflows.ApproverItem>)(this.GetValue(SetApproversEvent.ApproversProperty)));
            }
            set {
                this.SetValue(SetApproversEvent.ApproversProperty, value);
            }
        }

        /// <summary>
        /// Gets or sets the minimum number of needed approvments.
        /// </summary>
        /// <value>The needed approvments.</value>
        [ValidationOptionAttribute(ValidationOption.Required)]
        public int NeededApprovments
        {
            get
            {
                return ((int)(this.GetValue(SetApproversEvent.NeededApprovmentsProperty)));
            }
            set
            {
                this.SetValue(SetApproversEvent.NeededApprovmentsProperty, value);
            }
        }

        /// <summary>
        /// Called just after the external event is received to allow subclasses to process the inbound <see cref="T:System.EventArgs"></see> before the activity closes.
        /// </summary>
        /// <param name="e">The <see cref="T:System.EventArgs"></see> that are received from the external event that was just received.</param>
        protected override void OnInvoked(System.EventArgs e) {
            CMS6Workflows.Workflows.SetApproversEventArgs castedE = ((CMS6Workflows.Workflows.SetApproversEventArgs)(e));
            this.TaskDescription = ((string)(castedE.TaskDescription));
            this.Approvers = ((List<CMS6Workflows.Workflows.ApproverItem>)(castedE.Approvers));
            this.NeededApprovments = castedE.NeededApprovments;
            this.PageLink = castedE.PageLink;
        }
    }
}
