#region Copyright  1997-2007 EPiServer AB. All Rights Reserved.
/*
This code may only be used according to the EPiServer License Agreement.
The use of this code outside the EPiServer environment, in whole or in
parts, is forbidden without prior written permission from EPiServer AB.

EPiServer is a registered trademark of EPiServer AB. For more information 
see http://www.episerver.com/license or request a copy of the EPiServer 
License Agreement by sending an email to info@episerver.com
*/
#endregion
using System;
using System.Collections.Generic;
using System.Text;
using System.Workflow.ComponentModel.Design;
using System.Drawing;
using System.Drawing.Drawing2D;

namespace CMS6Workflows.Workflows
{
    /// <summary>
    /// We make our custom code activity has same appearance as a regular
    /// code activity in designer.
    /// </summary>
    internal sealed class CustomCodeActivityTheme : ActivityDesignerTheme
    {
        public CustomCodeActivityTheme(WorkflowTheme theme)
            : base(theme)
        {
            this.ForeColor = Color.FromArgb(0xff, 0, 0, 0);
            this.BorderColor = Color.FromArgb(0xff, 0x80, 0x80, 0x80);
            this.BorderStyle = DashStyle.Solid;
            this.BackColorStart = Color.FromArgb(0xff, 0xf4, 0xf4, 0xf4);
            this.BackColorEnd = Color.FromArgb(0xff, 0xc0, 0xc0, 0xc0);
            this.BackgroundStyle = LinearGradientMode.Horizontal;
        }
    }

    [ActivityDesignerTheme(typeof(CustomCodeActivityTheme))]
    internal class CustomCodeActivityDesigner : ActivityDesigner
    {
    }
}
