#region Copyright  1997-2007 EPiServer AB. All Rights Reserved.
/*
This code may only be used according to the EPiServer License Agreement.
The use of this code outside the EPiServer environment, in whole or in
parts, is forbidden without prior written permission from EPiServer AB.

EPiServer is a registered trademark of EPiServer AB. For more information 
see http://www.episerver.com/license or request a copy of the EPiServer 
License Agreement by sending an email to info@episerver.com
*/
#endregion
using System;
using System.Collections.Generic;
using System.Text;
using EPiServer.WorkflowFoundation.Interfaces;
using EPiServer.Personalization;
using EPiServer.Core;
using EPiServer.WorkflowFoundation.Activities;
using EPiServer.BaseLibrary;

namespace CMS6Workflows.Workflows
{
    /// <summary>
    /// Service registered with runtime. Used to register custom services with object store
    /// </summary>
    public class RequestForFeedbackService
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="RequestForFeedbackService"/> class.
        /// </summary>
        public RequestForFeedbackService()
        {
            //make sure custom types are registerd with object store
            if (Context.Repository.SchemaForType(typeof(Workflows.UserItem)) == null)
            {
                Type type = typeof(Workflows.UserItem);
                EPiServer.Implementation.Serialization.TypeSchemaBuilder.RegisterSchemaAndType(type.ToString(), type);
            }
            if (Context.Repository.SchemaForType(typeof(List<Workflows.UserItem>)) == null)
            {
                Type type = typeof(List<Workflows.UserItem>);
                EPiServer.Implementation.Serialization.TypeSchemaBuilder.RegisterSchemaAndType(type.ToString(), type);
            }
        }

    }
}
