#region Copyright  1997-2007 EPiServer AB. All Rights Reserved.
/*
This code may only be used according to the EPiServer License Agreement.
The use of this code outside the EPiServer environment, in whole or in
parts, is forbidden without prior written permission from EPiServer AB.

EPiServer is a registered trademark of EPiServer AB. For more information 
see http://www.episerver.com/license or request a copy of the EPiServer 
License Agreement by sending an email to info@episerver.com
*/
#endregion
using System;
using System.Collections.Generic;
using System.Text;

namespace CMS6Workflows.Workflows
{
    /// <summary>
    /// Represents a user/group in feedback workflow
    /// </summary>
    [Serializable]
    public class UserItem
    {
        private string _userName;
        private bool _isRole;

        /// <summary>
        /// Initializes a new instance of the <see cref="UserItem"/> class.
        /// </summary>
        /// <param name="userName">Name of the user.</param>
        /// <param name="isRole">if set to <c>true</c> [is role].</param>
        public UserItem(string userName, bool isRole)
        {
            _userName = userName;
            _isRole = isRole;
        }

        /// <summary>
        /// The name of the user or group
        /// </summary>
        public string UserName
        { get { return _userName; } }
        
        /// <summary>
        /// Represent if it is a user or a group/role
        /// </summary>
        public bool IsRole
        { get { return _isRole; } }
    }
}
