#region Copyright  1997-2007 EPiServer AB. All Rights Reserved.
/*
This code may only be used according to the EPiServer License Agreement.
The use of this code outside the EPiServer environment, in whole or in
parts, is forbidden without prior written permission from EPiServer AB.

EPiServer is a registered trademark of EPiServer AB. For more information 
see http://www.episerver.com/license or request a copy of the EPiServer 
License Agreement by sending an email to info@episerver.com
*/
#endregion
using System;
using System.Collections.Generic;
using System.Text;

namespace CMS6Workflows.Workflows
{
    /// <summary>
    /// Represents a translator task in ReadyForTranslation workflow
    /// </summary>
    [Serializable]
	public class TranslationItem
	{
        private string _languageName;
        private string _languageId;
        private string _translator;

        /// <summary>
        /// Initializes a new instance of the <see cref="TranslationItem"/> class.
        /// </summary>
        /// <param name="translator">The translator.</param>
        /// <param name="languageName">Name of the language.</param>
        /// <param name="languageId">The language id.</param>
        public TranslationItem(string translator, string languageName, string languageId)
        {
            _languageName = languageName;
            _languageId = languageId;
            _translator = translator;
        }

        /// <summary>
        /// The user/group that should translate
        /// </summary>
        public string Translator
        {
            get { return _translator; }
        }

        /// <summary>
        /// The name of the language to translate to
        /// </summary>
        public string LanguageName
        {
            get { return _languageName; }
        }

        /// <summary>
        /// The id of the language to translate to
        /// </summary>
        public string LanguageId
        {
            get { return _languageId; }
        }
	}
}
